@import "../runo/runo.scss";

@mixin opencerttheme {
  @include runo;

.mainPanel {
	background-color: #eaf1f7;
}

.mainLayout {
	padding: 0 0 0 0 !important;
	overflow: hidden;
}

.topPanel {	
	border:1px solid black;
	padding: 5px 10px 5px 30px;
	background-image:url('images/1px_panel_top.gif');
	background-repeat:repeat-x;  
	border-style: hidden;
	font-color: white;
	height: 33px;
}
	
.v-tabsheet-tabitem { 
	border: 1px solid #b6bbbc;
	margin-top: 0px;
}
	
.v-tabsheet-tabitem-selected {	
	color: #E59F40;
	height: 37px;		
	font-size: 15px;
	font-weight: bolder;
	line-height: 18px;	
}

.v-tabsheet-tabitem-selected .v-caption {
	padding: 9px 15px 8px 15px;
}

.v-tabsheet-tabitem:hover {
	color: #E59F40;
}

.v-tabsheet-tabitem-selected:hover {
	
}

.v-tabsheet-tabitem:hover {
	
}

.v-tabsheet-tabitemcell, .v-tabsheet-spacertd {
	vertical-align: top;
} 

.v-tabsheet-tabitem-selected .v-caption {
	background: none;
}

.v-tabsheet-tabitem-selected {
	background: none;
}

.v-tabsheet-deco {
	height: 0px;
}

.projectAndMenuPanel {
	border:1px solid black;
	padding: 8px 10px 8px 30px;
	background-color: #c0dcff;
	border-style: hidden;
	height: 51px;
}

.v-label-mainStyle {
	color: #333333;
	font-family: "arial";
	font-size: 12px;
	margin-right: 5px;
	margin-top: 8px;
}

.v-label-baselineFrameworkLabel {
	color: #333333;
	font-family: "arial";
	font-size: 12px;
	margin-right: 5px;
	margin-top: 5px;
	margin-left: 50px;
}

.projectsPanel {
	color: white;
}
	
.topPanelMenu {
	border: none;
}

.topPanelMenu .v-menubar-menuitem {
	border-style: none;
	cursor: pointer;
}

.topPanelMenu .v-menubar-menuitem .v-menubar-menuitem-caption {
	color: #134e86;
	font-family: arial;
	font-weight: bold;
	font-size: 11px;
	padding: 1px 0px;
}

.topPanelMenu .v-menubar-menuitem:hover {
	background: none repeat scroll 0% 0% #5DAEE8;
}

.v-menubar-submenu-topPanelMenu {
	background-color: #FFFFFF !important;
	background: none;
	padding: 2px 0px;
}

.v-panel {
	background-color: transparent;
    background-image: none;
}

.v-panel-content {
	background-color: transparent;
    background-image: none;
    border: none;
}

.v-panel-nocaption {
	background-color: transparent;
    background-image: none;
    height: 0px;
}

.v-panel-nocaption {
	margin: 0px !important;  /* Overriding default Vaadin behavior which adds 9px for top- and bottom- margins */
}

.v-panel-captionwrap {
	margin: 0px !important;  /* Overriding default Vaadin behavior which adds 9px for top- and bottom- margins */
}

.v-panel-deco {
	background-color: transparent;
    background-image: none;
}

.v-panel-deco:before {
	background-color: transparent;
    background-image: none;
}

.reportContainer {
	border: 1px solid black;
	margin: 5px 0px 5px 0px;
	padding: 5px 0px 5px 0px;
	background-color: #eaf1f7;
	border-style: hidden;
}
	
.reportTopPanel {
	width: 100%;
	border: 1px solid black;
	padding: 0px 5px 0px 5px;
	background-color: #eaf1f7;
	border-style: hidden;
}

.reportMainComponent {
	border:1px solid black;
	margin: 5px 5px 5px 0px;
	padding: 5px 10px 5px 5px;
	background-color: #FFFFFF;
	border-style: hidden;
}

.reportMainComponent .v-scrollable {
	overflow-x: hidden;
}

.mainMenuBar {
	background-color: #c0dcff;
	border-style: hidden;
	border: none;
}

.mainMenuBar .v-menubar-menuitem {
	border: none;
	cursor: pointer;
}

.v-menubar-submenu-mainMenuBar {
	background-color: #FFFFFF !important;
	background: none;
	color: #333333;
	font-size: 13px;
	font-family: "arial";
	padding: 2px 0px;
}

.v-menubar-submenu-mainMenuBar .v-menubar-menuitem-caption {
	padding: 1px 0px;
}

.mainMenuBar .v-menubar-submenu .v-menubar-menuitem {
	width: 130px;
}

.mainMenuBar .v-menubar-menuitem-mainReportsMenuItem {
	padding: 0px 215px 17px 2px;
	font-size: 0px;
	background: url(images/Reports_bt.png) no-repeat scroll 0px 0px transparent;
	padding: 10px 92px;
	cursor: pointer;
}

.v-menubar-menuitem-mainReportsMenuItem:hover {
	background: url(images/Reports_bt_on.png) no-repeat scroll 0px 0px transparent !important;
	cursor: pointer;
}

.mainMenuBar .v-menubar-menuitem-mainArgumentationMenuItem {
	padding: 0px 215px 17px 2px;
	font-size: 0px;
	background: url(images/Argumentation_bt.png) no-repeat scroll 0px 0px transparent;
	padding: 10px 92px;
}

.v-menubar-menuitem-mainArgumentationMenuItem:hover {
	background: url(images/Argumentation_bt_on.png) no-repeat scroll 0px 0px transparent !important;
	cursor: pointer;
}

.mainMenuBar .v-menubar-menuitem-mainEvidenceMenuItem {
	padding: 0px 215px 17px 2px;
	font-size: 0px;
	background: url(images/Evidence_bt.png) no-repeat scroll 0px 0px transparent;
	padding: 10px 92px;
}

.v-menubar-menuitem-mainEvidenceMenuItem:hover {
	background: url(images/Evidence_bt_on.png) no-repeat scroll 0px 0px transparent !important;
	cursor: pointer;
}

.mainMenuBar .v-menubar-menuitem-mainProcessMenuItem {
	padding: 0px 215px 17px 2px;
	font-size: 0px;
	background: url(images/Process_bt.png) no-repeat scroll 0px 0px transparent;
	padding: 10px 92px;
}

.v-menubar-menuitem-mainProcessMenuItem:hover {
	background: url(images/Process_bt_on.png) no-repeat scroll 0px 0px transparent !important;
	cursor: pointer;
}

.reportTitleLabel {
	width: 300px;
	color: #AF4F43;
	font: "Open Sans";
	font-size: 21px;
	font-weight: 900;
	padding-bottom: 6px;
	padding-left: 10px;
}

.reportParametersComponent {
	padding: 0px 0px 0px 0px;
	margin:  0px 0px 0px 0px;
}

.v-panel-deco-reportParametersComponent {
	height: 0px;
}

.reportParametersComponent .v-scrollable {
	overflow: hidden;
}

.v-table-header-cell {
    text-align: center;
}

.v-label-complianceLabel {
    color: orange;
}

.complianceTableTitle  {
	margin-left: 10px;
	margin-top: 8px;
	margin-right: 5px;
	margin-bottom:10px;
	color: #E59F40;
	font: "Open Sans";
	font-size: 16px;
	font-weight: 900;
}

.complianceTableTitleCompact  {
	margin-left: 10px;
	margin-top: 8px;
	margin-right: 5px;
	margin-bottom:10px;
	color: #E59F40;
	font: "Open Sans";
	font-size: 14px;
}

.complianceTableTitleCompact a {
	color: #E59F40;
}

.complianceTableTitleCompact a:hover {
	color: #AA6001;
	text-decoration: none;
}

.resourceEfficiencyTable  {
	margin-left: 20px;
	margin-top: 0px;
	margin-right: 5px;
	margin-bottom:10px;
	color: #000;
	font: "Open Sans";
	font-size: 16px;
	font-weight: 900;
}

.complianceDetailsTitle {
	margin-left: 25px;
	margin-top: 8px;
	margin-right: 0px;
	margin-bottom:10px;
	color: #E59F40;
	font: "Open Sans";
	font-size: 16px;
	font-weight: 900;
}

.metricsMainTitle {
	margin-left: 25px;
	margin-top: 8px;
	margin-right: 0px;
	color: #E59F40;
	font: "Open Sans";
	font-size: 16px;
	font-weight: 900;
}

.metricsGoalTitle {
	margin-left: 25px;
	margin-right: 0px;
	color: #000;
	font: "Open Sans";
	font-size: 12px;
	font-weight: 900;
}

.metricsTipTitle {
	margin-left: 25px;
	margin-right: 0px;
	margin-bottom:10px;
	color: #000;
	font: "Open Sans";
	font-size: 12px;
	font-style: italic;
}

.splitPanelContentAutoScroll {
	//overflow: auto;
}

.v-label-filterBy {
	color: #333333;
	font-size: 11px;
	font-family: "arial";
	padding: 10px 0px;
}

.v-slot-complianceTable {
	margin-right: 10px;
	padding: 0px 10px 0px 0px;
}

.complianceTable .v-table-header {
    height: auto;
}

.complianceTable .v-table-header-cell  {
	background: #eeeeee;
	vertical-align: baseline;
}

.complianceTable div table .v-table-resizer {
	height: 38px;
	float: right;
	position: relative;
	top: 5px;
	width: 2px;
	vertical-align: middle;
}

.complianceTable .v-table-header-cell-asc {
	background: #d0d0d0;
	text-align: center;
}

.complianceTable .v-table-header-cell-desc {
	background: #d0d0d0;
	text-align: center;
}

.complianceTable .v-table-header-wrap {
    height: auto;
}

.complianceTable .v-table-caption-container {
    height: auto;
    white-space: normal;
    font-size: 11px;
    font-family: "arial";
    padding: 10px 0;
    text-shadow: none;
}

.complianceTable {
   	margin: 10px 0px 10px 10px;
   	padding: 0px 0px 0px 0px;
	position: relative;
	margin: auto;
	zoom: 100%;
	-moz-transform: scale(1); 
	-moz-transform-origin: 0 0;
	-webkit-transform: translate(0) !important
}

.complianceTable .v-table-cell-content {
    text-align: left;
    vertical-align: top;
    padding-top: 2px;
    padding-bottom: 3px;
    padding-left: 0px;
}

.complianceTable .v-table-cell-wrapper {
    color: #333333;
	font-family: "arial";
	font-size: 11px;
	padding: 0px 0px 0px 0px;
}

.complianceTable .v-table-cell-wrapper .v-widget {
	font-family: "arial";
	font-size: 11px;
}

           
.complianceTable .v-table-cell-content-rowheader {
    background: #d0d0d0;    
}

.complianceTable tr.v-selected {
	background: none repeat scroll 0% 0% rgba(230, 233, 233, 1);
	border: none;
}

.complianceTable tr.v-selected {
	background-color: #E5A041;
}

/*.complianceTable .v-table-body-wrapper {
	overflow: hidden;
}*/

.complianceStatusCommonLabel {
	text-align: center;
	color: #ffffff;
    height: 22px;
    border-width: 1px;
    border-radius: 7px;
  	border-style: solid;
  	font-family: "arial";
	font-size: 11px;
	font-weight: bold;
}

.v-label-complianceStatusLabel_ok {
    background: #A8D686;
  	border-color: #79A757;
}

.v-label-complianceStatusLabel_no { 
    background: #E7978F;
  	border-color: #AF5F57;
}

.v-label-complianceStatusLabel_partly {
    background: #EEC386;
  	border-color: #C59A5D;
}

.v-label-complianceStatusLabel_empty {
    background: #e3e3e3;
  	border-color: #656565;
  	color: #111111;
}

.externalToolCommonButton {
	margin-top: 0px !important;
	border: none !important;
    background: transparent !important;
    width: 100%;
    vertical-align: middle;
}

.externalToolCommonButton .v-button-wrap {
	text-align: center;
	color: #ffffff;
    border-width: 1px;
  	border-radius: 7px;
  	border-style: solid;
  	font-family: "arial";
	font-size: 11px;
	font-weight: bold;
	padding-left: 0px;
	padding-right: 0px;
	text-shadow: none;
}

.externalToolCommonButton .v-button-wrap .v-button-caption {
	text-align: center;
	white-space: normal;
}

.v-button-externalToolButton_green .v-button-wrap:hover { 
 	background: #C0C0C0;
}  

.v-button-externalToolButton_green .v-button-wrap {
    background: #A8D686;
  	border-color: #79A757 !important;
}

.v-button-externalToolButton_red .v-button-wrap:hover { 
 	background: #C0C0C0;
}  

.v-button-externalToolButton_red .v-button-wrap {
    background: #E7978F;
  	border-color: #AF5F57 !important;
}

.v-button-externalToolButton_yellow .v-button-wrap:hover { 
 	background: #C0C0C0;
}  

.v-button-externalToolButton_yellow .v-button-wrap {
    background: #EEC386;
  	border-color: #C59A5D !important;
}

.v-button-externalToolButton_none .v-button-wrap:hover { 
 	background: #C0C0C0;
}

.v-button-externalToolButton_none .v-button-wrap {
    background: #e3e3e3;
  	border-color: #656565 !important;
  	color: #111111;
}

.v-button-externalToolButton_empty {
    width: 100% !important;
}

.v-button-externalToolButton_empty .v-button-wrap:hover { 
 	background: #C0C0C0 !important;
}

.v-button-externalToolButton_empty .v-button-wrap {
	border: none !important;
    background: transparent !important;
    outline-style: none !important;
	box-shadow: none !important;;
	font-style: italic;
	font-weight: normal;
	color: #111111;
}

.complianceTable .v-table-footer-container {
   font-size: 11px;
   font-family: "arial";
   text-align: center;
   font-weight: 900;
}

.complianceDetailsTable {
   	margin: 10px 0px 5px 0px;
   	padding: 0px 0px 0px 0px;
	position: relative;
	zoom: 100%;
	-moz-transform: scale(1); 
	-moz-transform-origin: 0 0;
	-webkit-transform: translate(0) !important;
}

/* It is important trick of forcing height on Vaadin!
Issue: we have TreeTable in SplitPane and Vaading (SplitPanel spliter movement) calculates in JavaScript the height of the split content as *hard* values - they are not completely correct!! (in such tree in split panel)!! 
bigger trees are not visible
So here we are overriding this JS calculation */
.complianceDetailsTable .v-table-body {
	height: 100% !important;
	overflow: 	hidden;
} 

/* It is important trick of forcing height on Vaadin!
Issue: we have TreeTable in SplitPane and Vaading (SplitPanel spliter movement) calculates in JavaScript the height of the split content as *hard* values - they are not completely correct!! (in such tree in split panel)!! 
bigger trees are not visible
So here we are overriding this JS calculation */
.complianceDetailsTable .v-table-body div:nth-of-type(1) {
	height: 100% !important;
}


.complianceDetailsTable .v-table-body {
	/*width: 100% !important;*/		/*In this way I omitted strange error (in Chrome and Opera) with table width=0px after first click on base element*/
}

.complianceDetailsTable .v-table-cell-wrapper {
    color: #333333;
	font-family: "arial";
	font-size: 11px;
	padding: 1px 0px 0px 0px;
}

.v-caption-complianceDetailsTable .v-captiontext {
	color: #333333;
	font-family: "arial";
	font-size: 12px;
	font-weight: bold;
	margin: 0px 5px 0px 10px;
}

.v-label-details {
	color: #333333;
	font-family: "arial";
	font-size: 12px;
	font-weight: bold;
	padding: 0px 40px 0px 10px;
}

.complianceDetailsTable .v-table-body {
	padding: 5px 0px 0px 7px;
	border: none;
}

.complianceDetailsTable .v-treetable-node-open {
	background: url('images/minus.gif') no-repeat scroll right top transparent;
}

.complianceDetailsTable .v-treetable-node-closed {
	background: url('images/plus.gif') no-repeat scroll right top transparent;
}

.complianceDetailsTable tr.v-selected {
	background: none repeat scroll 0% 0% rgba(230, 233, 233, 1);
	border: none;
}

.complianceDetailsTable tr.v-selected {
	background-color: #E5A041;
}

.complianceDetailsTable tr.v-selected .v-label-resource {
	background-color: #A8D686 !important;
}

.complianceDetailsTable tr.v-selected .v-horizontallayout-complianceResource {
	background-color: #A8D686 !important;
}

.v-label-baseAssetName {
	color: #333333;
    font-size: 11px;
    font-family: "arial";
    margin: 0 0 0 0;
    padding: 1px 0px 0px 10px;
    cursor:  pointer;
}

.v-label-evidenceItems {
	color: #333333;
    font-size: 11px;
    font-family: "arial";
    margin: 0px 0px 2px 8px;
    cursor:  pointer;
    background-image: url('images/cloud_16.gif');
    background-repeat: no-repeat;
    background-position: 100% 4px;
    padding: 2px 20px 0px 0px;
    white-space: normal;
}

.v-label-svnPathLabel {
	background-image: url('images/cloud_16.gif');
    background-repeat: no-repeat;
    background-position: 60px;
}

.v-button-countItems {
    padding: 2px;
    white-space: normal;
    width: 100%;
    text-align: center;
}

.v-button-countItems .v-button-wrap {
	color: #333333;
    font-size: 11px;
    font-family: "arial";
    border: none;
    background: transparent;
    -webkit-box-shadow: none;
}

.v-button-countItems:focus .v-button-wrap {
	-webkit-box-shadow: none;
	cursor: default;
	background: none repeat scroll 0% 0% transparent;
}

.v-label-tableItems {
	color: #333333;
    font-size: 11px;
    font-family: "arial";
    margin: 0px 0px 2px 3px;
    padding: 1px 0px 0px 10px;
    white-space: normal;
    cursor:  pointer;
}

.v-label-description {
	color: #333333;
    font-size: 12px;
    font-family: "arial";
    margin: 0px 0px 2px 3px;
    padding: 1px 0px 0px 10px;
    white-space: normal;
}

.complianceDetailsItemLayout {
	padding: 10px 10px 10px 10px;
}

.v-label-complianceItems {
	color: #333333;
    font-size: 11px;
    font-family: "arial";
    margin: 0px 0px 2px 3px;
    padding: 1px 0px 3px 8px;
    white-space: normal;
    cursor:  pointer;
}

.v-label-fullyCompliant {
	color: #333333;
    font-size: 12px;
    font-family: "arial";
    margin: 0px 0px 1px;
    padding: 2px 8px 2px 8px;
    white-space: normal;
    cursor:  pointer;
    background: none repeat scroll 0% 0% #A8D686;
    text-align: center;
}

.v-label-partiallyCompliant {
	color: #333333;
    font-size: 12px;
    font-family: "arial";
    margin: 0px 0px 1px;
    padding: 2px 8px 2px 8px;
    white-space: normal;
    cursor:  pointer;
    background: none repeat scroll 0% 0% #EEC386;
    text-align: center;
}

.v-label-noCompliant {
	color: #333333;
    font-size: 12px;
    font-family: "arial";
    margin: 0px 0px 1px;
    padding: 2px 8px 2px 8px;
    white-space: normal;
    cursor:  pointer;
    background: none repeat scroll 0% 0% #E7978F;
    text-align: center;
}

.v-label-justification {
	color: #558730;
    font-size: 12px;
    font-family: "arial";
    font-weight: bold;
    padding: 1px 0px 5px 8px;
    white-space: normal;
}

.v-label-asset {
	color: #333333;
    font-size: 12px;
    font-family: "arial";
    font-weight: bold;
    padding: 1px 0px 5px 8px;
    white-space: normal;
}

.v-label-resource {
	color: #333333;
    font-size: 12px;
    font-family: "arial";
    font-weight: bold;
	padding: 5px 5px 5px 10px;
	cursor:  pointer;
	white-space: normal;
}

.v-horizontallayout-complianceResource {
	white-space: inherit;
	background-color: #f7fdf0 !important;
}

.v-horizontallayout-complianceResource:hover {
	background-color: #E5F3D4 !important;
}

.v-horizontallayout-complianceResource:focus {
	background-color: #E5F3D4 !important;
}

.v-nativebutton-greenbutton {
    border: none;
    background: transparent;
    width: 100%;
    height: 26px;
    text-align: center;
    vertical-align: middle;
}   

.v-nativebutton-greenbutton:hover {
	background: none repeat scroll 0% 0% #D0D0D0;
}

.v-nativebutton-greenbutton:focus {
	background: none repeat scroll 0% 0% #D0D0D0;
	outline: 0;
}

.v-nativebutton-greenbutton .v-nativebutton-caption {
	color: #74945b;
	font-family: "arial";
	font-weight: bold;	
	font-size: 16px;
}

.v-nativebutton-orangebutton {
    border: none;
    background: transparent;
    width: 100%;
    height: 26px;
    text-align: center;
    vertical-align: middle;
}   

.v-nativebutton-orangebutton:hover {
	background: none repeat scroll 0% 0% #D0D0D0;
}

.v-nativebutton-orangebutton:focus {
	background: none repeat scroll 0% 0% #D0D0D0;
	outline: 0;
}

.v-nativebutton-orangebutton .v-nativebutton-caption {
 	color: #f69000;
	font-family: "arial";
	font-weight: bold;	
	font-size: 16px;	
}

.v-nativebutton-orangebutton .v-pressed {
	background: #74945b;
}

.filterBarMenu {
	border : none;
	margin-top: 7px;	
}

.filterBarMenu .v-menubar-menuitem {
	color: #333333;
    font-size: 11px;
    font-family: "arial";
    background: transparent;
    border : none;
    text-decoration : underline;
    padding: 2px 5px 0px 2px;
	cursor: pointer;
}

.filterBarMenu .v-menubar-menuitem-highlight {
    background: #d0d0d0;
}


.v-tree-complianceDetails {
	margin-left: 10px;
}

.v-tree-metricsMenuTitle {
	margin-top: 0px;
}

.metricsMenuDetails tr.v-selected{
	background-color: #E5A041;
}


.v-caption-complianceDetails .v-captiontext {
    color: #333333;
    font-size: 12px;
    font-weight: bold;
    font-family: "arial";
    margin: 0px 5px 0px 10px;
}

.v-tree-complianceDetails .v-tree-node {
	background: url('images/plus.gif') no-repeat scroll 5px 5px transparent;
}

.v-tree-complianceDetails .v-tree-node-expanded {
	background: url('images/minus.gif') no-repeat scroll 5px 5px transparent;
}

.v-tree-complianceDetails .v-tree-node .v-tree-node-leaf {
	background: none repeat scroll 0% 0% transparent;
}

.v-tree-complianceDetails div.v-tree-node-leaf {
	background: none repeat scroll 0% 0% transparent;
}

.v-tree-complianceDetails .v-tree-node-caption .v-icon {
	margin: 1px 2px 0px 2px;
}

.v-tree-node-justification {
	color: #558730;
    font-size: 12px;
    font-family: "arial";
    font-weight: bold;
}

.v-tree-node-asset {
	color: #333333;
	display: inherit !important; /* fixed tree bug: after loading report at the first time first asset is without expanded gif */
}

.v-tree-node-asset .v-tree-node-caption span {
    background-image: url('images/cloud_16.gif');
    background-repeat: no-repeat;
    background-position: right;
    padding: 0px 25px 0px 0px;
}

.v-tree-node-evaluation {
	font-weight: normal;
}

.v-tree-node-evaluation .v-tree-node-caption span {
	background: none repeat scroll 0% 0% transparent;
	padding: 0px;
}


.v-tree-node-evaluationChild {
	background-color: #f7fdf0 !important;
	padding: 0px 50px 0px 0px;
}

.v-tree-node-caption {
   	margin-left: 18px;
}

.v-tree-node-caption span {
	white-space: normal;
}

.v-tree-node-caption .v-icon {
	float: left;
}

.v-verticallayout-layoutSpacing .v-verticallayout-spacing-on {
    padding-top: 50px;
}

.leftChartsSpacing  {
    left: 18px;
}

.v-verticallayout-chartsSpacing > .v-spacing {
   margin-height: 50px;
}

.v-verticallayout-layoutSpacingMetrics > .v-spacing {
    height: 40px;
}

.v-verticallayout-complianceDetailsLayout {
	background-color: #fef8f1;
	border-bottom-width: 1px;
	border-bottom-style: solid;
	border-top-width: 1px;
	border-top-style: solid;
	border-color: #fbd6a7 #fef8f1;
	margin-top: 15px;
	margin-left: 25px;
	width: 95% !important;
	padding: 10px 25px 10px 25px
}

v-slot-complianceDetailsLayout {
    margin: 0px auto 0px auto;
    width: 590px;
}

.v-label-compliance {
    color: #333333;
    font-size: 12px;
    font-family: "arial";
}

.v-button-complianceSettings .v-button-wrap {
    color: #333333;
    font-size: 11px;
    font-family: "arial";
    background: transparent;
    border : none;
    text-decoration : underline;
    -webkit-box-shadow: 0 0 0 rgba(0, 0, 0, 0.15);
}

.v-button-complianceSettings:focus .v-button-wrap {
	-webkit-box-shadow: none;
}

.v-button-complianceSettings .v-button-caption {
	padding: 2px 3px 0px 2px;
}

.v-caption-createSampleDataFormStyle .v-captiontext {
	color: #333333;
    font-size: 12px;
    font-family: "arial";
    margin: 0 0 0 0;
    padding: 15px 0px 0px 0px;
    display: block;
}

.v-verticallayout-createSampleData {
	width: 420px !important;
	height: 335px !important;
	padding: 10px 10px 20px 30px;
	margin: 10px;
	border: 1px solid #B6BBBC;
}

.v-button-createSampleDataFormStyle .v-button-wrap {
	color: #333333;
    font-size: 12px;
    font-family: "arial";
    margin: 10px 0 0 255px;
    font-weight: bold;
}

.v-filterselect-projectCombo {
	margin-top: 6px;
}

.v-filterselect-projectComboCompact {
	margin-top: 0px;
}

.v-filterselect-projectCombo .v-filterselect-input {
	color: #333333;
	font-size: 12px !important;
	font-family: "arial" !important;
}

.v-slot-projectComboCompact {
	padding: 0 10px 0 10px;
}

.v-filterselect-baseFramework {
	margin-top: 2px;
}

.v-filterselect-baseFramework .v-filterselect-input {
	width: 200px;
}

.v-filterselect-baseFrameworkCompact {
	margin-top: 0px;
}

.v-filterselect-baseFrameworkCompact .v-filterselect-input {
	width: 150px;
}


.v-filterselect-baseFramework .v-filterselect-input {
	color: #333333;
	font-size: 12px !important;
	font-family: "arial" !important;
}

.v-label-baseAssetHelp {
	color: #333333;
	font-size: 12px;
	font-family: "arial";
	padding: 20px;
	border: solid 1px #fbd6a7;
	border-radius: 25px;
	margin: 100px auto 0 auto;
	background-color: #fef8f1;
	display: block;
	text-align: center;
	width: 480px !important;
}

.v-label-metricsHelp {
	color: #333333;
	font-size: 12px;
	font-family: "arial";
	padding: 20px;
	border: solid 1px #fbd6a7;
	border-radius: 25px;
	margin: 100px auto 0 auto;
	background-color: #fef8f1;
	display: block;
	text-align: center;
	width: 480px !important;
}

.v-label-confSettingsTitle {
	color: #333333;
	font-size: 12px;
	font-family: "arial";
	font-weight: bold;
	padding: 35px 0px 20px 25px;
}

.v-label-confSettingsItalic {
	color: #333333;
	font-size: 12px;
	font-family: "arial";
	font-style:italic;
	padding: 25px 0px 0px 25px;
}

.v-label-confSettingsItalicBold { 
	color: #333333;
	font-size: 12px;
	font-family: "arial";
	font-style:italic;
	font-weight: bold;
	padding: 25px 2px 0px 25px;
}

.v-gridlayout-confSettings {
	color: #333333;
	font-size: 12px;
	font-family: "arial";
	padding: 5px 0px 0px 55px;
}

.v-gridlayout-confSettings .v-label {
	padding: 0px 20px 10px 10px;; 
}

.evidenceTable {
	margin: 10px 10px 10px 20px;
}

.v-slot-evidenceTable {
	margin-right: 10px;
	padding: 0px 10px 0px 0px;
}

.v-slot-baselineItemPanelLabel {
	margin-top: 5px;
	margin-left: 25px; 
}

.v-label-baselineItemPanelLabel {
	font-size: 12px;
	font-family: "arial";
}


.v-link-downloadLink span {
	color: #333333;
	font-size: 11px;
	font-family: "arial";
	padding: 5px 5px 10px 20px;
	border-style: none;
	border-style: hidden;
}

.unassignLink {
	padding: 0 0 0 5px;
}

.v-button-unassignLink .v-button-wrap {
    color: #333333;
    font-size: 11px;
    font-family: "arial";
    background: transparent;
    border : none;
    text-decoration : underline;
    padding: 2px 10px 5px 5px;
    -webkit-box-shadow: 0 0 0 rgba(0, 0, 0, 0.15);
}

.v-button-unassignLink:focus .v-button-wrap {
	-webkit-box-shadow: none;
	background-color: #D0D0D0 !important;
}

.v-button-unassignLink .v-button-caption {
	padding: 2px 3px 0px 2px;
}

.assignComplianceEvidenceWindow .v-window-header {
	color: #7B9C5F;
    display: inline;
    font-family: "arial";
    font-weight: bold;
    font-size: 13px;
}

.v-select-optiongroup-horizontalComplianceGroup {
    white-space: nowrap;
    margin-top: 10px;
}

.v-button-popupButton {
    padding: 15px 10px 5px 15px;
	margin-top: -3px;
}

.v-label-emptyLabel {
	width: 100px; 
}

.assignEvidenceWindowContent {
	text-align: center;
}

.v-button-uploadButtonStyle .v-button-wrap {
	margin-top: -3px;
    font-size: 12px;
    margin-left: 8px;
}

.v-button-assignAndCancelButtonStyle {
	margin-left: 5px;
}

.v-button-assignAndCancelButtonStyle .v-button-wrap {
	margin-top: 10px;
	font-family: "arial";
    font-weight: bold;
    font-size: 12px;
}

.v-label-bottomEvidenceNote {
	width: 100%;
	font-style:italic;
	font-family: "arial";
    font-size: 12px;
    margin-top: 5px;
}

.v-slot-bottomEvidenceNote {
    margin-right: 60px;
}

.v-Notification.infoNotification {
	background: green;
}

.v-label-succesfulInfoLabelStyle {
	padding: 20px 15px 10px 15px;
	font-size: 12px;
	font-family: "arial";
}

.v-button-okAfterSuccesfulCommit {
	display:block;
    width:60px;
    margin:0 auto;
    margin-top: 3px;
    margin-bottom: 13px;
    font-family: "arial";
    font-weight: bold;
    font-size: 12px;
}

.v-button-okAfterSuccesfulCommit .v-button-wrap {
	font-family: "arial";
    font-weight: bold;
    font-size: 12px;
}

.dndArtefactLabel {
	width: 300px;
	margin-left: 23px;
}

.v-caption-dndArtefactLabel {
	display: inline !important;
}

.v-caption-dndArtefactLabel .v-captiontext {
	padding-bottom: 2px;
}

.v-slot-dndArtefactLabel {
	margin-bottom: 3px;
	text-align: left;
}
.dndResourceLabel {
	width: 300px;
	margin-left: 19px;
}

.v-caption-dndResourceLabel .v-captiontext {
	padding-bottom: 2px;
}

.v-caption-dndResourceLabel {
	display: inline !important;
}
.v-slot-dndResourceLabel {
	text-align: left;
}

.v-label-modificationDate {
	padding-top: 1px;
}

.dndSvnPathLabel {
	width: 100%;
}

.v-slot-dndSvnPathLabel {
	margin-bottom: 3px;
	text-align: left;
	margin-right: 10px;
}

.v-filterselect-svnPathsStyle {
	margin-top: 1px;
	margin-bottom: 3px;
	margin-right: 10px;
}

.dndSvnUserLabel {
	width: 300px;
	margin-left: 34px;
}
.v-caption-dndSvnUserLabel {
	display: inline !important;
}

.v-slot-dndSvnUserLabel {
	margin-bottom: 3px;
	text-align: left;
}

.dndSvnPasswordLabel {
	width: 300px;
	margin-left: 5px;
}
.v-caption-dndSvnPasswordLabel {
	display: inline !important;
}

.v-slot-dndSvnPasswordLabel {
	margin-bottom: 3px;
	text-align: left;
}

.v-button-svnTestButtonStyle {
	margin-left: 25px;
	margin-right: 20px;
}

.v-button-svnTestButtonStyle .v-button-wrap {
	font-family: "arial";
    font-weight: bold;
    font-size: 12px;
}

.dragAndDropComplianceEvidencePanel {
	width: 580px !important;
	overflow: hidden;
	display: block;
	background: #fef8f1;
	padding: 0px 3px 3px 3px !important;
	border: 1px solid #fbd6a7;
	border-radius: 20px;
	margin: 7px auto 0px auto;
}

.dragAndDropComplianceEvidencePanel .v-slot {
	text-align: center;
	margin-top: 2px;
}

.v-label-dragAndDropLabelStyle {
	margin-top: 20px;
}

#gwt-uid-8 {
	display: inline;
}

.v-Notification .popupContent {
	font-size: 9px;
}

.ExportToDocxButton {
	margin-left: 50px;
}

.ExportToDocxButton .v-button-wrap .v-button-caption {
	font-weight: bold;
	font-size: 15px;
	color: #4684B5;
}

.ExportToDocxWindow .v-window-header {
	color: #7C9D60;
} 

.ExportToDocxWindow .v-layout {
	background-color: #F5F5DC;
}
	
.ExportToDocxWindow .v-slot {
	width: 175px;
	margin: 0 auto 0 auto;
	padding: 25px 0 25px 0;
}

.ExportToDocxLink {	
	font-size: 15px;
	font-weight: bold;
}

.commonButton .v-button-wrap .v-button-caption .iaActionButton{
	font-weight: bold;
	font-size: 12px;
	color: #4684B5;
}

.externalToolConnectorWindow .v-window-header {
	color: #7B9C5F;
    display: inline;
    font-family: "arial";
    font-weight: bold;
    font-size: 13px;
}

.v-panel-windowSection {
    margin: 3px 0px 0px 0px;
    border-style: solid;
    border-width: 2px;
    border-radius:	10px;
    border-color: #8d8d8d;
    padding: 5px 5px 5px 20px !important;
}

.v-panel-caption-windowSection {
	padding: 0 0 3px 0;
	margin-left: -5px;
	font-family: "arial";
    font-weight: bold;
    font-size: 12px;   
	color: #7B9C5F;
    line-height: normal;
    background: none !important;
}

.windowSection .v-caption {
	padding: 0 10px 0 0;
} 

.v-slot-connectorType {
	//text-align: center;
}
.connectorType {
	padding: 0 20px 5px 0;
}

.v-panel-content-windowSection .v-label {
	color: #4684B5;
	white-space: normal;
}

.externalToolConnectorInstancePanelStyle {
	
}

.externalToolTextFieldStyle {
	position: absolute;
	left: 120px;
	width: 200px
}
.v-slot-externalToolTextFieldStyle {
	padding-bottom: 3px;	
}
.v-panel-content-externalToolConnectorInstancePanelStyle .v-caption-externalToolTextFieldStyle {
	display: inline !important;
}

.externalInstanceSettingsPanelStyle {
	width: 350px;	
}

.v-panel-content-externalInstanceSettingsPanelStyle .v-caption-externalToolTextFieldStyle {
	display: inline !important;
}

.v-panel-content-externalToolinstanceResultProcessingPanelStyle {
	overflow: hidden;
}

.externalToolinstanceResultProcessingPanelStyle {
	width: 500px;
	white-space: normal;
	margin-left: 5px;
}

.connectorTypeDescription {
	white-space: normal;
	width: 450px;
}

.v-label-connectorNameLabel {
	text-align:center;
	font-weight: bold;
	display: block;
	margin-left: 1px;
	margin-bottom: 1px;
    padding-left: 10px;
    padding-right: 10px;
	width: 95% !important;
}

.v-label-connectorSettingLabel {
	text-align:left;
	font-style: italic;
	display: block;
	margin-left: 1px;
	margin-bottom: 1px;
    padding-left: 10px;
    padding-right: 10px;
	width: 95% !important;
}

.v-horizontallayout-saveAndCancelButtonsStyle {
	display: block;
    width: 130px;
    margin: 5px auto 5px auto;
}

.v-textfield-externalToolRPTextFieldStyle {
	width: 30px;
}

.v-textfield-externalToolMsgStyle {
	width: 200px;
	display: inline !important;
}

.v-panel-content-externalToolConnectorInstancePanelStyle .v-caption-externalToolRPTextFieldStyle {
	display: inline !important;
}

.v-panel-content-externalToolConnectorInstancePanelStyle .v-caption-externalToolRPTextFieldStyle .v-captiontext {
	margin-left: 10px;
}

.v-panel-overallStatusPanelStyle {
    color: #333333;
	border: solid 1px #fbd6a7;
	background-color: #fef8f1;
	display: block;
	max-width: 330px;
	min-width: 250px;
	max-height: 45px;
	margin-top: 1px;
	margin-bottom: 1px;
	margin-right: 20px !important;
}

.v-panel-overallStatusPanelStyle .v-scrollable {
	overflow-y: hidden !important;
}

.v-slot-complianceTable .v-scrollable {
	overflow-y: hidden !important;
}

.v-panel-overallStatusPanelStyle .v-button-wrap {
	margin-top: 8px;
	margin-right: 10px;
	font-weight: bold;
	font-size: 11px;
}

.v-panel-overallStatusPanelStyle .v-label {
	margin-top: 8px;
	margin-left: 10px;
	margin-right: -20px !important;
	font-size: 11px;
	font-family: "arial";
	font-weight: bold;
}

.overallStatusCommonLabel {
	text-align: center;
	color: #ffffff;
    height: 20px;
    border-width: 1px;	
  	border-radius: 7px;
  	border-style: solid;
  	font-family: "arial";
	font-size: 11px;
	font-weight: bold;
	margin-right: 5px;
	width: 79px;
}

.v-label-overallStatusLabel_ok {
    background: #A8D686;
    border-color: #79A757;
}

.v-label-overallStatusLabel_no {
    background: #E7978F;
  	border-color: #AF5F57;
}

.v-label-overallStatusLabel_partly {
    background: #EEC386;
  	border-color: #C59A5D;
}

.v-label-overallStatusLabel_empty {
    background: #E3E3E3;
  	border-color: #656565;
  	color: #111111;
}

.v-slot-complianceTable {
    margin-right: 5px !important;
    padding: 0 !important;
}

.v-label-overallStatusPrefixLabel {
  	font-family: "arial";
	font-size: 11px;
	font-weight: bold;
	margin-right: 5px;
}

.v-loading-indicator, 
.v-loading-indicator-delay, 
.v-loading-indicator-wait { 
   width: 100%;
   height: 100%;
   margin: 0;
   background-position: 50%;
   background-image: url("images/progressBar.gif");
   background-color: #DBDBDB;
   opacity: .8;
   -ms-filter: alpha(opacity=80);
   filter: alpha(opacity=80);
   background-repeat: no-repeat; 
   background-attachment: fixed; 
}  

.v-slot-ProjectAdminProjectDesc {
	margin-left: 50px;
	margin-right: 50px;
}

.v-slot-ProjectAdminProjectDesc .v-captiontext {
	display: block;
}

.ProjectAdminPage {
    font-family: "arial";
    font-weight: bold;
    font-size: 12px;   
	color: #7B9C5F;
}

.ProjectAdminPanel {
    width: 98% !important;
	padding: 10px;
    margin: 10px;
    background-color: #FAFAFA;
    border-style: solid;
    border-color: #7B9C5F;
    border-width: 2px;
    border-radius:	5px;
}

.v-caption-EditBaselineElementTable {
	padding-bottom: 10px;	
}

.v-slot-ProjectAdminCenterPanel {	
	width: 100%
}

.v-slot-EditBaselineElementTable {
	padding: 10px 0 10px 0 !important;
}

.projectAdministrationButtonsLayout  .commonButton {
	padding-right: 10px; 	
}

.DeleteButton {
	padding-left: 40px;	
}

.DeleteButton .v-button-wrap {
	border: none;
}

.DeleteButton .v-button-wrap .v-button-caption {
 	color: grey;
 	font-style: italic;
}

.CreateButton .v-button-wrap {
	border: none;
}

.CreateButton .v-button-wrap .v-button-caption {
 	color: grey;
 	font-style: italic;
}

.NotificationPanel {
	color:	#FF4000;
	text-align: center;
	width: 100%;
	font-style: italic;
}

.ProjectAdminRowButton .v-button-wrap {
	padding-top: 2px;
	padding-bottom: 2px;
}

.ProjectAdminEditSaveRowButton {
	padding-right: 8px;	
}

.ProjectAdminBaselineTableNote {
	font-size: 10px;
	color: grey;
	font-style: italic;
	font-weight: normal;
	padding: 5px 0 0 40px;
}

.projectResourceLabel {
	color: #333333;
	font-family: "arial";
	font-size: 11px;
	font-weight: bold; 
	padding-top: 10px;
}

.v-Notification {
	background: #A8D686;
}

.v-Notification-error {
	background: #E7978F url(images/close-error.png) no-repeat right 5px;
}

.v-Notification-green_error {
	background: #A8D686 url(images/close-error.png) no-repeat right 5px;
}

.v-Notification-green_error p {
	font-size: 12px;
}

.v-Notification-warning {
	background: #E7978F;
	border: none;
	color: #fff;
}

.baselineFrameworkField {
	width: 200px;
	margin-bottom: 20px;
}

.ErrorPageMessageHeader {
	color: #4684B5;
	font-weight: bold;
	padding-bottom: 10px
}

.ErrorPageMessageText {
	padding-bottom: 20px
}

.embeddingLinkIcon {
	padding-left: 50px;
	vertical-align: middle;	
	border-style: none;
}

.v-popupview-popup-embedLinkPopup {
	width: 550px;
	padding: 15px 10px 10px 10px;
	border: #92BAE6;
	border-style: solid;
	border-width: 2px;
	border-radius: 7px;
	background-color: #EAF1F7;
}

.v-popupview-popup-embedLinkPopup .v-textfield {
	margin: 0 0 10px 0;
}

.v-button-modifyFile .v-button-wrap {
    color: blue;
    font-size: 12px;
    font-family: "arial";
    font-weight: bold;
    background: transparent;
    border : none;
    text-decoration : underline;
    text-shadow: none;
    -webkit-box-shadow: none;
    padding: 8px 3px 0px 2px;
}

.v-button-modifyFile:focus .v-button-wrap {
	-webkit-box-shadow: none;
}

.v-button-modifyFile .v-button-caption {
	padding: 2px 3px 0px 2px;
}

.v-button-modifyFile:active .v-button-wrap,
.v-button-modifyFile .v-pressed  .v-button-wrap {
	background-color: inherit;
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
}

.isRelatedPanel {
	background-color: #FDDC9A;
	padding: 3px 6px 2px 4px;
}

.baselineElementTable tr.v-selected {
	background-color: #FDDC9A;
}

.v-table tr.v-table-row:hover,
.v-table tr.v-table-row-odd:hover  {
	background-color: #FDF0D6;
}

.relatedIDLabel {
	font-family: "arial";
	font-size: 12px;
}

.relatedIDLabelAddedNotSaved {
	font-family: "arial";
	font-style: italic;
	font-size: 12px;
}

.relatedIDLabelRemovedNotSaved {
	font-family: "arial";
	text-decoration: line-through;
	font-size: 12px;
}

.v-table .v-table-cell-content-addedRowNotSaved {
    font-family: "arial";
	font-style: italic;
	font-weight: normal;
}

.relatedIDLabelToBePreservedInfo {
	font-family: "arial";
	font-weight: normal;
	font-style: italic;
	white-space: normal;
}

.impactAnalyserWindowContent {
	max-height: 600px;
}

.securityPanel {
	font-family: "arial";
	font-size: 11px;
	line-height: 22px;
	padding-right: 10px;
}

.loggedAsLabel {
	padding-right: 10px;
}

}
